Subject: bug#37576: closed (Re: bug#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Oct 2019 17:20:03 +0000

Your bug report

#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37576: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37576
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found
From: Eli Zaretskii <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 02 Oct 2019 20:19:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Richard Copley <[email-masked]>
> Date: Wed, 2 Oct 2019 18:09:14 +0100
> Cc: Andreas Schwab <[email-masked]>, Juanma Barranquero <[email-masked]>, [email-masked]
> 
>  I don't know what "ignore" means in this case, since call-process
>  should signal an error if it's unable to find the program.  If you
>  mean that nonexistent directories should be treated as if they
>  existed, but didn't have the program in them, then I agree, and I've
>  now fixed the Windows build's behavior to match that of the Posix
>  builds in this case.
> 
> I agree with that too, FWIW. Thanks.
>  
>  I still didn't hear from Richard confirming that his case is indeed
>  caused by a non-existent directory on PATH.
> 
> Yes it is. (At least, there are non-existent directories in PATH, and I get the correct message now.)

Thanks, then it's time to close this bug.

Subject: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found
From: Richard Copley <[email-masked]>
To: [email-masked]
Date: Tue, 1 Oct 2019 20:43:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In "emacs -Q", if the file "xyzzy" does not exist on the path,
(call-process "xyzzy") now leaves this in the *Messages* buffer:

  forward-sexp: Searching for program: Permission denied, xyzzy

In older versions the entry in the message buffer is a true statement:

  eval: Searching for program: No such file or directory, xyzzy

(I also noticed debug-on-error is now 't' in "emacs -Q". This isn't in the
NEWS, unless I missed it?)

In GNU Emacs 27.0.50 (build 13, x86_64-w64-mingw32)
 of 2019-10-01 built on MACHINE
Repository revision: cbc507779b8f56ce0abf596416e8e3847de88e10
Repository branch: buster
Windowing system distributor 'Microsoft Corp.', version 10.0.18890
System Description: Microsoft Windows 10 Pro (v10.0.1903.18890.1000)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Continuing.
forward-sexp: Searching for program: Permission denied, xyzzy
Configured using:
 'configure --config-cache --with-modules --without-pop --without-dbus
 --without-gconf --without-gsettings 'CFLAGS=-O0 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date subr-x seq
byte-opt gv bytecomp byte-compile compile comint ansi-color ring cconv
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils help-fns radix-tree cl-print debug backtrace help-mode
easymenu find-func cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table
term/w32-win w32-win w32-vars term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 56362 12184)
 (symbols 48 6971 1)
 (strings 32 19777 2016)
 (string-bytes 1 617340)
 (vectors 16 11386)
 (vector-slots 8 141766 11600)
 (floats 8 25 161)
 (intervals 56 229 7)
 (buffers 992 12))